import { apiClient } from "@/src/lib/api/api-client";

export const getReplies = async (id_chatbot: string) => {
    try {
        const response = await apiClient.post('chat/replay/get',{
            id_chatbot:id_chatbot
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    }
}

export const saveReply = async (id_chatbot: string, fast: string, messageLong: string) => {
    try {
        const response = await apiClient.post('chat/replay/create',{
            id_chatbot:id_chatbot,
            rapido:fast,
            mensaje_largo:messageLong
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const updateReply = async (id_chatbot: string, id: string, fast: string, messageLong: string) => {
    try {
        const response = await apiClient.post('chat/replay/edit',{
            id_chatbot:id_chatbot,
            rapido:fast,
            mensaje_largo:messageLong,
            id_respuesta:id
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}
export const deleteReply = async (id_chatbot: string, id: string) => {
    try {
        const response = await apiClient.post('chat/replay/delete',{
            id_chatbot:id_chatbot,
            idrepuesta:id
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    }
}